Unit tef02r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, EF02R_p;

function tef02r: String;

implementation

function tef02r: String;
var
I,J,_i,KN :Integer;
E,SF,Y,S,FU :Real;
A :Array [0..120] of Real;
F :Array [0..10] of Real;
U :Array [0..10] of Real;
B :Array [0..89] of Real;
const
V1 :Array [0..10] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
V2 :Array [0..10] of Real = ( 1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,0.0 );
MU :Array [0..10] of Integer = ( 1,1,1,1,1,-1,-1,-1,-1,0,0 );
H :Array [0..10] of Real = ( 0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.0 );
P :Array [0..10] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0 );
Q :Array [0..10] of Real = ( 0.05,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.05 );
R :Array [0..11] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 
);
M :Integer = 11;
N :Integer = 11;
NG :Integer = 3;
LU :Integer = 1;
ISP :Integer = 20;
label
_1,_2,_3,_4,_5;
begin
Result := '';
E := 1.E-7;
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    if ( I-J ) < 0
     then goto _2
     else if ( I-J ) > 0
           then goto _2
           else goto _1;
_1:
    A[(I-1)+(J-1)*11] := 1.0/Q[I-1];
    goto _3;
_2:
    A[(I-1)+(J-1)*11] := 0.0;
_3:
   end;
 end;
U[0] := -11.0/24.0;
for J:=2 to N do
 begin
_4:
  U[J-1] := 0.0;
 end;
SF := 0.025;
Y := -0.5;
for I:=1 to M do
 begin
  S := SF*Sin(123.456*I+789.0);
  F[I-1] := Y-(IntPower(Y,3))/3.0+S;
_5:
  Y := Y+H[I-1];
 end;
EF02R(M,N,A,F,NG,V1,V2,MU,H,P,Q,R,E,ISP,LU,U,FU,KN,B);
Result := Result + Format('%s',[' FU=']);
Result := Result + Format('%20.16f',[FU]) + #$0D#$0A;
Result := Result + Format('%s',['  KN=']);
Result := Result + Format('%3d',[KN]) + #$0D#$0A;
Result := Result + Format('%s',[' U=']);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f',[U[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tef02r',Result);  {     tef02r.res }
exit;
end;

end.
